Требования к серверу и необходимые модули

Общие требования

  1. UNIX/Linux хост
  2. PHP 5.2+
  3. Apache с необходимыми модулями - смотри далее
  • База данных MySQL и другие не используются
  • Разработчики утверждают, что Windows-хостинг тоже подойдет, но с незначительными ограничениями (какими - в англоязычной Вики не уточнятеся)
  • Nginx (на Debian Lenny и Squeeze) - GetSimple будет работать с незначительными особенностями (опять же без уточнений)

Apache и PHP: требования к модулям

Критический модуль

При отсутствии критических модулей GetSimple работать не будет. Слава Богу, таких модулей всего один, и это - SimpleXML. Поскольку GetSimple использует для хранения данных XML-файлы, при отсутствии этого модуля GetSimple, естественно, неработоспособна, его необходимо установить или подключить самому, если позволяет хостер.

Важные модули

При отсутствии этих модулей система сохраняет работоспособность, но становятся недоступными некоторые функции.

  • ZipArchive – требуется, если вы будете делать резервные копии сайта штатными средствами системы. Что касается версии 3.1, то при отсутствии данного модуля GetSimple пытается использовать zlib библиотеку и создать .tar.gz файлы вместо zip.
  • Apache mod_rewrite – требуется, если вы намерены использовать ЧПУ или FancyURLs/Pretty URLs в терминологии GetSimple (ЧПУ включаются в админской панели - опция “Использовать Fancy URLs”).
  • Curl – требуется для автоматической проверки наличия апдейтов системы. Короче, можно обойтись и без этого модуля, но при желании его можно установить отсюда. (Debian-команда: apt-get install php5-curl)
  • GD Library– этот модуль требуется для создания эскизов или превьюшек загруженных картинок.

Ссылки

На главную Содержание

Страницы этой секции

Установка